Name:           atinject
Version:        1
Release:        %mkrel 6.20100611svn86.5
Summary:        Dependency injection specification for Java (JSR-330)
License:        ASL 2.0
Group:          Development/Java
URL:            http://code.google.com/p/atinject/
BuildArch:      noarch
# latest release doesn't generate javadocs and there is no source
# tarball with pom.xml or ant build file
#
# svn export -r86 http://atinject.googlecode.com/svn/trunk atinject-1
# rm -rf atinject-1/{lib,javadoc}/
# tar caf atinject-1.tar.xz atinject-1
Source0:        %{name}-%{version}.tar.xz
Source1:        MANIFEST.MF
Source2:        http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires:  java-devel
BuildRequires:  junit
Requires:       java

Provides:       javax.inject

%description
This package specifies a means for obtaining objects in such a way as
to maximize reusability, testability and maintainability compared to
traditional approaches such as constructors, factories, and service
locators (e.g., JNDI). This process, known as dependency injection, is
beneficial to most nontrivial applications.

%package        javadoc
Summary:        API documentation for %{name}
Group:          Documentation

%description    javadoc
%{summary}.

%package        tck
Summary:        TCK for testing %{name} compatibility with JSR-330
Group:          Development/Java
Requires:       %{name} = %{version}-%{release}
Requires:       junit

%description    tck
%{summary}.


%prep
%setup -q
cp %{SOURCE2} LICENSE
ln -s %{_javadir} lib

%build
set -e
alias rm=:
alias xargs=:
. ./build.sh

# Inject OSGi manifest required by Eclipse.
jar umf %{SOURCE1} build/dist/*.jar

%install
# Maven POMs
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -p -m 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
install -p -m 644 tck-pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-tck.pom

# JARs
install -d -m 755 %{buildroot}%{_javadir}
install -p -m 644 build/dist/*.jar %{buildroot}%{_javadir}/%{name}.jar
install -p -m 644 build/tck/dist/*.jar %{buildroot}%{_javadir}/%{name}-tck.jar

# XMvn metadata
%add_maven_depmap
%add_maven_depmap JPP-%{name}-tck.pom %{name}-tck.jar -f tck

# Javadocs
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}/tck
cp -pr build/javadoc/* %{buildroot}%{_javadocdir}/%{name}
cp -pr build/tck/javadoc/* %{buildroot}%{_javadocdir}/%{name}/tck

# J2EE API symlinks
install -d -m 755 %{buildroot}%{_javadir}/javax.inject/
ln -sf ../%{name}.jar %{buildroot}%{_javadir}/javax.inject/

%files -f .mfiles
%doc LICENSE
%{_javadir}/javax.inject

%files tck -f .mfiles-tck

%files javadoc
%doc LICENSE
%doc %{_javadocdir}/%{name}



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1-6.20100611svn86.5.mga4
+ Revision: 535798
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 dmorgan <dmorgan> 1-6.20100611svn86.4.mga4
+ Revision: 482604
- Rebuild against new javapackages

* Wed Sep 18 2013 dmorgan <dmorgan> 1-6.20100611svn86.3.mga4
+ Revision: 481201
- Clean spec file

* Fri Jan 11 2013 umeabot <umeabot> 1-6.20100611svn86.2.mga3
+ Revision: 346525
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 29 2012 dmorgan <dmorgan> 1-6.20100611svn86.1.mga3
+ Revision: 265194
- Added tck subpackage
  Added OSGi Manifest for Eclipse.

* Wed Apr 27 2011 dmorgan <dmorgan> 1-2.20100611svn86.2.mga1
+ Revision: 92255
- Rebuild after bootstrapping
- imported package atinject


* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1-2.20100611svn86
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Sep 21 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1-1.20100611svn86
- Initial version of the package

